<?php

declare(strict_types=1);

namespace PhpWA\Auth;

use PhpWA\Protocol\Binary\BinaryNode;

interface PairingProcessorInterface
{
    public function process(BinaryNode $stanza, AuthenticationCredentials $credentials): PairingResult;
}
